Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Lennart Borgman <[email-masked]>
Date: Sat, 25 Feb 2012 15:56:51 +0100

On Sat, Feb 25, 2012 at 15:35, Stefan Monnier <[email-masked]> wrote:
>>>> Likely, there won't be different handlers. It's always
>>>> `tramp-file-name-handler', which calls the respective sub-handlers.
>>> ??? Are we to assume that a file-handler is always the Tramp handler?
>>> What about others, like jka-compr?
>> I stay corrected, there's also `url-file-handler'.
>
> I'm sure there are others.
> I seem to remember bumping into a package recently which implemented yet
> another file-name-handler of the same general kind.

I have implemented one in nXhtml for handling file types that Emacs
itself should not handle.